import { __ } from '@wordpress/i18n';
import { TextControl } from '@wordpress/components';

export default function Edit({ isSelected, attributes, setAttributes }) {
    const { shortcode } = attributes;

    return (
        <div>
		<TextControl
		label={__('Enter Shortcode', 'artcloud-blocks')}
		value={shortcode}  // Use value to bind the input field to the shortcode attribute
		onChange={(newShortcode) => setAttributes({ shortcode: newShortcode })}
	/>
        </div>
    );
}
